apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  labels:
    app: prometheus-operator
    release: prometheus-operator
  name: prometheus-operator-fluentbit.rules
spec:
  groups:
  - name: fluentbit.rules
    rules:
    - alert: FluentbitRetryCountHigh
      expr: avg(rate(fluentbit_output_retries_total{pod=~"fluent-fluent-bit-.*"}[5m])) by (name) > {{ config.fluent.prometheus_rules.retry_count_high.alert_threshold }}
      for: 1m
      annotations:
        message: Fluentbit on {{ config.system.cluster_name }} retry count has exceeded limit ({{ config.fluent.prometheus_rules.retry_count_high.alert_threshold }})
{% if  config.system.cluster_name is defined %} 
        cluster: "{{ config.system.cluster_name }}"
{% endif %}
{% if config.fluent.prometheus_rules.retry_count_high.runbook_url is defined %} 
        runbook: {{ config.fluent.prometheus_rules.retry_count_high.runbook_url }}
{% endif %}
      labels:
        severity: high
        namespace: "{{ config.prometheus.namespace }}" # See https://github.com/prometheus-operator/prometheus-operator/discussions/3733
{% if  config.fluent.prometheus_rules.alert_channel is defined %} 
        cnoAlertChannel: {{ config.fluent.prometheus_rules.alert_channel }}
{% endif %}
